Skip to main content
POST
cURL
This is the Seedream Image Generation API multi-image fusion endpoint. Fuse and generate new image based on multiple reference images (2-10). Submit async task and return id, use query endpoint to get results.

Authorizations

TT-API-KEY
string
header
required

Get your API key from the TTAPI Dashboard.

Body

application/json

Multi-Image Fusion request parameters

model
enum<string>
required

Model name.

Available options:
doubao-seedream-5-0-pro-260628,
doubao-seedream-5-0-flash-260915
Example:

"doubao-seedream-5-0-pro-260628"

prompt
string
required

Text prompt describing the fusion intent.

image
string[]
required

Array of reference image URLs, supports 2-10 images.

Required array length: 2 - 10 elements
size
enum<string>
default:2K

Image size. 5.0 pro/flash options: 1K, 1.5K, 2K (default 2K), or specify pixel values.

Available options:
1K,
1.5K,
2K
output_format
enum<string>
default:jpeg

Output image format.

Available options:
png,
jpeg
response_format
enum<string>
default:url

Return format.

Available options:
url,
b64_json
watermark
enum<boolean>
default:true

Whether to add watermark. true=Display "AI Generated" in bottom-right, false=Do not add.

Available options:
true,
false
Example:

false

optimize_prompt_options
object

Prompt optimization config

execution_expires_after
integer
default:172800

Task timeout threshold (seconds). Range [3600, 259200] (1-72 hours), default 172800 (48 hours)

priority
integer
default:0

Execution priority. Range [0, 9], higher value = higher priority, default 0 (FIFO)

safety_identifier
string

End user unique identifier, max 64 characters. Recommend passing a hashed string

Response

200 - application/json

Task submitted successfully

status
string
required

Task status

Example:

"PENDING_QUEUE"

message
string
required
Example:

"success"

id
string
required

Task ID

Example:

"30d9b07d-7349-4cbc-8e11-9ba302c6d165"

Last modified on October 23, 2026